# CoinDoubleArrayWithLength Class Reference

double * version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinDoubleArrayWithLength:
[legend]
Collaboration diagram for CoinDoubleArrayWithLength:
[legend]

List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
double * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
double * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinDoubleArrayWithLength ()
| Default constructor - NULL.
| CoinDoubleArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinDoubleArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinDoubleArrayWithLength (const CoinDoubleArrayWithLength &rhs)
| Copy constructor.
| CoinDoubleArrayWithLength (const CoinDoubleArrayWithLength *rhs)
| Copy constructor.2.
CoinDoubleArrayWithLength & | operator= (const CoinDoubleArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

double * version

Definition at line 588 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 618 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 621 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 627 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | const CoinDoubleArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 630 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | const CoinDoubleArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 633 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinDoubleArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 594 of file CoinIndexedVector.hpp.

double* CoinDoubleArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 597 of file CoinIndexedVector.hpp.

void CoinDoubleArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 604 of file CoinIndexedVector.hpp.

double* CoinDoubleArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 611 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength& CoinDoubleArrayWithLength::operator= | ( | const CoinDoubleArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Reimplemented from CoinArrayWithLength.

Definition at line 636 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.2/CoinUtils/src/CoinIndexedVector.hpp